Skip to main content
`Ctrl`+`K`

# PetscDrawLineSetWidth

Sets the line width for future draws. The width is relative to the user coordinates of the window; 0.0 denotes the natural width; 1.0 denotes the entire viewport.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLineSetWidth(PetscDraw draw, PetscReal width)

Not Collective

## Input Parameters

- draw - the drawing context

- width - the width in user coordinates

## See Also

`PetscDraw`, `PetscDrawLineGetWidth()`, `PetscDrawLine()`, `PetscDrawArrow()`

## Level

advanced

## Location

src/sys/classes/draw/interface/dline.c

## Implementations

PetscDrawLineSetWidth_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawLineSetWidth_Win32() in src/sys/classes/draw/impls/win32/win32draw.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages